Subject: [nfsv4] Failing to set acl from solaris 10 over nfs v4

From: parinay <[email-masked]>
Date: Wed, 29 Nov 2006 13:50:04 +0530

Hi,
I have a queries

         1. I am trying set ACL on file over NFS v4 but its failing , with
error permission denied ( NFS4ERR_BADOWNER) . I am not able to
             figure out the problem area.This is against Netapp filers and
all server side options are set properly for NFS access.
         2. I am not able to set ACL on this filer at all ( from any client
) . NFS v4 <user@ domain> issue, is the problem area I feel.

I am new to NFS v4 and to the concept of domains with NFSv4 .
Please let me know,
                             if the setup I have is correct or is some thing
wrong with setup.
                             NFS4ERR_BADOWNERR in ethereal trace . Is it
because the user <parinay> is not only  parinay but its
                             parinay@domian when requesting to setacl which
is not known to filer ? If yes whats the workaround for this ?

Any help on this is highly appreciated. awaiting
thanks & regards
./parinay

Logs of the same are as below, ( let me know if you want nay more
information )

Both Netapp filer as well as Solaris client are on same NIS domain (
netapp-sush )

=====================server side log=====================
options nfs.v4
nfs.v4.acl.enable            on
nfs.v4.enable                on
nfs.v4.id.domain             netapp-sush
nfs.v4.read_delegation        on
nfs.v4.write_delegation      on
-bash-3.00$

exportfs

/vol/mixed/qmix -sec=sys,rw,anon=0
/vol/vol0/home  -sec=sys,rw,nosuid
/vol/vol0       -sec=sys,rw,anon=0
/vol/mixed      -sec=sys,rw,nosuid
-bash-3.00$

rdfile /etc/usermap.cfg

netapp-pune\parinay == parinay
netapp-pune\Administrator == root

qtree status
Volume   Tree     Style Oplocks  Status
-------- -------- ----- -------- ---------
vol0              unix  enabled  normal
mixed             mixed enabled  normal
mixed    qmix     mixed enabled  normal

Client side logs
-bash-3.00$ uname -a
SunOS sushso-02 5.10 Generic_118822-25 sun4u sparc SUNW,Sun-Fire-280R
-bash-3.00$

-bash-3.00$ sudo mount -o vers=4 10.55.76.10:/vol/mixed/qmix/mnt/parinay/vf1
-bash-3.00$ sudo mount
/ on /dev/dsk/c1t1d0s0
read/write/setuid/devices/intr/largefiles/logging/xattr/onerror=panic/dev=1d80000
on Mon Nov 27 13:20:13 2006
/devices on /devices read/write/setuid/devices/dev=4f80000 on Mon Nov 27
13:20:01 2006
/system/contract on ctfs read/write/setuid/devices/dev=4fc0001 on Mon Nov 27
13:20:01 2006
/proc on proc read/write/setuid/devices/dev=5000000 on Mon Nov 27 13:20:01
2006
/etc/mnttab on mnttab read/write/setuid/devices/dev=5040001 on Mon Nov 27
13:20:01 2006
/etc/svc/volatile on swap read/write/setuid/devices/xattr/dev=5080001 on Mon
Nov 27 13:20:01 2006
/system/object on objfs read/write/setuid/devices/dev=50c0001 on Mon Nov 27
13:20:01 2006
/dev/fd on fd read/write/setuid/devices/dev=5240001 on Mon Nov 27 13:20:14
2006
/tmp on swap read/write/setuid/devices/xattr/dev=5080002 on Mon Nov 27
13:20:31 2006
/var/run on swap read/write/setuid/devices/xattr/dev=5080003 on Mon Nov 27
13:20:31 2006
/globaldevices on /dev/dsk/c1t1d0s6
read/write/setuid/devices/intr/largefiles/logging/xattr/onerror=panic/dev=1d80006
on Mon Nov 27 13:20:36 2006
/mnt/tools on 10.55.64.4:/vol/toolsremote/read/write/setuid/devices/xattr/dev=52c0004
on Mon Nov 27 13:56:19
2006
/mnt/simplex on
10.55.64.4:/vol/simplexremote/read/write/setuid/devices/xattr/dev=52c0011
on Tue Nov 28 11:08:52
2006
/mnt/solaris10 on /dev/lofi/1 read
only/setuid/devices/noglobal/maplcase/rr/traildot/dev=24c0001 on Tue Nov 28
11:12:19 2006
/mnt/parinay/vf1 on
10.55.76.10:/vol/mixed/qmixremote/read/write/setuid/devices/vers=4/xattr/dev=52c0013
on Tue Nov 28
14:39:48 2006
/mnt/parinay/vol0 on
10.55.76.10:/vol/vol0remote/read/write/setuid/devices/vers=4/xattr/dev=52c0015
on Tue Nov 28
15:48:09 2006
-bash-3.00$

-bash-3.00$ cd /mnt/parinay/vf1

-bash-3.00$ ls -lh
total 0
-rw-r--r--   1 parinay  parinay        0 Nov 28 09:55 boom
-bash-3.00$

-bash-3.00$ sudo  setfacl -s
user:parinay:rwx,user::rwx,group::rwx,group:root:rw-,mask:r--,other:r--
/mnt/parinay/vol0/boom
/mnt/parinay/vol0/boom: failed to set acl entries
setacl error: Permission denied
-bash-3.00$ sudo  setfacl -s
user:parinay:rwx,user::rwx,group::rwx,group:root:rw-,mask:r--,other:r--
/mnt/parinay/vf1/boom
/mnt/parinay/vf1/boom: failed to set acl entries
setacl error: Permission denied
-bash-3.00$

rpcinfo -p
   program vers proto   port  service
    100000    4   tcp    111  portmapper
    100000    3   tcp    111  portmapper
    100000    2   tcp    111  portmapper
    100000    4   udp    111  portmapper
    100000    3   udp    111  portmapper
    100000    2   udp    111  portmapper
    100024    1   udp  32772  status
    100024    1   tcp  32771  status
    100133    1   udp  32772
    100133    1   tcp  32771
    100021    1   udp   4045  nlockmgr
    100021    2   udp   4045  nlockmgr
    100021    3   udp   4045  nlockmgr
    100021    4   udp   4045  nlockmgr
    100021    1   tcp   4045  nlockmgr
    100021    2   tcp   4045  nlockmgr
    100021    3   tcp   4045  nlockmgr
    100021    4   tcp   4045  nlockmgr
    100007    3   udp  32775  ypbind
    100007    2   udp  32775  ypbind
    100007    1   udp  32775  ypbind
    100007    3   tcp  32772  ypbind
    100007    2   tcp  32772  ypbind
    100007    1   tcp  32772  ypbind
1073741824    1   tcp  32773
    100229    1   tcp  32774
    100229    2   tcp  32774
    100422    1   tcp  32775
    100242    1   tcp  32776
    100230    1   tcp  32777
    100001    2   udp  32781  rstatd
    100001    3   udp  32781  rstatd
    100001    4   udp  32781  rstatd
    100002    2   tcp  32778  rusersd
    100002    3   tcp  32778  rusersd
    100002    2   udp  32782  rusersd
    100002    3   udp  32782  rusersd
    100011    1   udp  32783  rquotad
    100083    1   tcp  32779
    100068    2   udp  32784
    100068    3   udp  32784
    100068    4   udp  32784
    100068    5   udp  32784
    300598    1   udp  32816
    300598    1   tcp  32844
 805306368    1   udp  32816
 805306368    1   tcp  32844
    100249    1   udp  32817
    100249    1   tcp  32845

-bash-3.00$ tail -f /etc/default/nfs
# Determines if the NFS version 4 delegation feature will be enabled
# for the server.  If it is enabled, the server will attempt to
# provide delegations to the NFS version 4 client. The default is on.
#NFS_SERVER_DELEGATION=on

# Specifies to nfsmapid daemon that it is to override its default
# behavior of using the DNS domain, and that it is to use 'domain' as
# the domain to append to outbound attribute strings, and that it is to
# use 'domain' to compare against inbound attribute strings.
NFSMAPID_DOMAIN=netapp-sush

P.S.
Excuse me for posting on multiple lists, I have already posted this on
linux-nfs4 mailing list. If I get any answer and it works , I will
share it with you .

-- 
easy is right
begin right and you're easy
continue easy and you're right
the right way to go easy is to forget the right way
and forget that the going is easy....
_______________________________________________
nfsv4 mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/nfsv4